curl --request POST \
--url https://staging.cutmake.ai/api/v1/bom/{bom_id}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"changeDescription": "New version",
"createdById": "<string>"
}
'{
"id": "<string>",
"documentId": "<string>",
"versionNumber": 123,
"changeDescription": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"status": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"submittedById": "<string>",
"approvedById": "<string>",
"rejectionReason": "<string>",
"lineItems": [
{
"id": "<string>",
"billOfMaterialVersionId": "<string>",
"grossConsumption": 123,
"sellingTolerance": 123,
"netSellingConsumption": 123,
"buyingTolerance": 123,
"netBuyingConsumption": 123,
"materialCostInNativeCurrency": 123,
"nativeCurrency": "<string>",
"materialCostInUsd": 123,
"estimatedMaterialPreparationLeadTime": 123,
"assignedMaterialOptions": [
{}
],
"chosenAssignedMaterialId": "<string>",
"chosenAssignedSkuId": "<string>",
"category": "Uncategorized",
"description": "<string>",
"unit": "pc"
}
],
"groupedLineItems": [
{
"category": "<string>",
"items": [
{
"id": "<string>",
"billOfMaterialVersionId": "<string>",
"grossConsumption": 123,
"sellingTolerance": 123,
"netSellingConsumption": 123,
"buyingTolerance": 123,
"netBuyingConsumption": 123,
"materialCostInNativeCurrency": 123,
"nativeCurrency": "<string>",
"materialCostInUsd": 123,
"estimatedMaterialPreparationLeadTime": 123,
"assignedMaterialOptions": [
{}
],
"chosenAssignedMaterialId": "<string>",
"chosenAssignedSkuId": "<string>",
"category": "Uncategorized",
"description": "<string>",
"unit": "pc"
}
]
}
]
}curl --request POST \
--url https://staging.cutmake.ai/api/v1/bom/{bom_id}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"changeDescription": "New version",
"createdById": "<string>"
}
'{
"id": "<string>",
"documentId": "<string>",
"versionNumber": 123,
"changeDescription": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"status": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"submittedById": "<string>",
"approvedById": "<string>",
"rejectionReason": "<string>",
"lineItems": [
{
"id": "<string>",
"billOfMaterialVersionId": "<string>",
"grossConsumption": 123,
"sellingTolerance": 123,
"netSellingConsumption": 123,
"buyingTolerance": 123,
"netBuyingConsumption": 123,
"materialCostInNativeCurrency": 123,
"nativeCurrency": "<string>",
"materialCostInUsd": 123,
"estimatedMaterialPreparationLeadTime": 123,
"assignedMaterialOptions": [
{}
],
"chosenAssignedMaterialId": "<string>",
"chosenAssignedSkuId": "<string>",
"category": "Uncategorized",
"description": "<string>",
"unit": "pc"
}
],
"groupedLineItems": [
{
"category": "<string>",
"items": [
{
"id": "<string>",
"billOfMaterialVersionId": "<string>",
"grossConsumption": 123,
"sellingTolerance": 123,
"netSellingConsumption": 123,
"buyingTolerance": 123,
"netBuyingConsumption": 123,
"materialCostInNativeCurrency": 123,
"nativeCurrency": "<string>",
"materialCostInUsd": 123,
"estimatedMaterialPreparationLeadTime": 123,
"assignedMaterialOptions": [
{}
],
"chosenAssignedMaterialId": "<string>",
"chosenAssignedSkuId": "<string>",
"category": "Uncategorized",
"description": "<string>",
"unit": "pc"
}
]
}
]
}The access token received from the authorization server in the OAuth 2.0 flow.
Successful Response
Show child attributes
Show child attributes